org.apache.xmlbeans

## Class SystemProperties

- java.lang.Object
- - org.apache.xmlbeans.SystemProperties

-     public class SystemProperties
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemProperties()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getProperty(String key)`
    `static String` | `getProperty(String key, String defaultValue)`
    `static void` | `setPropertyH(Map<Object,Object> aPropertyH)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemProperties

          public SystemProperties()

  - ### Method Detail

    - #### getProperty

          public static String getProperty(String key)

    - #### getProperty

          public static String getProperty(String key,
                                           String defaultValue)

    - #### setPropertyH

          public static void setPropertyH(Map<Object,Object> aPropertyH)